#
# spec file for package kfilemetadata5
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kfilemetadata5
Version:        5.6.0
Release:        0
Summary:        Extract Metadata
License:        GPL-2.0+ and LGPL-2.1+ and LGPL-3.0
Group:          Development/Libraries/KDE
Url:            http://www.kde.org/
Source:         kfilemetadata-%{version}.tar.xz
Source1:        baselibs.conf
Source99:       kfilemetadata5-rpmlintrc
BuildRequires:  extra-cmake-modules >= 1.0.0
BuildRequires:  karchive-devel >= 5.0.0
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= 5.0.0
BuildRequires:  libepub-devel
BuildRequires:  libexiv2-devel >= 0.21
BuildRequires:  taglib-devel
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Xml) >= 5.2.0
BuildRequires:  pkgconfig(poppler-qt5)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A library for extracting file metadata.

%package devel
Summary:        Development package for kfilemetadata
Group:          Development/Libraries/KDE
Requires:       %{name} = %{version}
Requires:       extra-cmake-modules >= 1.0.0
Requires:       pkgconfig(Qt5Core) >= 5.2.0

%description devel
A library for extracting file metadata. Development files

%lang_package
%prep
%setup -q -n kfilemetadata-%{version}

%build
  %cmake_kf5 -d build -- -DCMAKE_INSTALL_LOCALEDIR=share/locale/kf5
  %make_jobs

%install
  %kf5_makeinstall -C build

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_plugindir}/
%{_kf5_libdir}/libKF5FileMetaData.so.*

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5FileMetaData.so
%{_kf5_includedir}/KFileMetaData/
%{_kf5_libdir}/cmake/KF5FileMetaData/

%files lang
%defattr(-,root,root)
%doc COPYING*
%{_kf5_localedir}/

%changelog
